Bug 543811 - Screen goes out of sync when changing resolution on Q43/Q45 with VGA
Summary: Screen goes out of sync when changing resolution on Q43/Q45 with VGA
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-drv-i810
Version: 5.4
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Adam Jackson
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On: 511896
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-03 08:00 UTC by RHEL Program Management
Modified: 2010-11-22 23:29 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, using the xrandr command to change the screen resolution of a video device under the Intel Q43/Q45 chipset may have failed. As a result, an attempt to change the resolution again could cause the screen to get blank and go out of sync. With this update, this error has been fixed, and changing the screen resolution no longer causes the screen to get out of sync.
Clone Of:
Environment:
Last Closed: 2010-08-05 11:18:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0605 normal SHIPPED_LIVE xorg-x11-drv-i810 bug fix update 2010-08-05 11:18:25 UTC

Description RHEL Program Management 2009-12-03 08:00:03 UTC
This bug has been copied from bug #511896 and has been proposed
to be backported to 5.4 z-stream (EUS).

Comment 3 Dave Airlie 2010-07-15 23:26:55 UTC
MODIFIED

xorg-x11-drv-i810-1.6.5-9.25.el5_4.1

is built in brew.

Comment 5 Jaromir Hradilek 2010-07-20 07:44:55 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
Previously, using the xrandr command to change the screen resolution of a video device under the Intel Q43/Q45 chipset may have failed. As a result, an attempt to change the resolution again could cause the screen to get blank and go out of sync. With this update, this error has been fixed, and changing the screen resolution no longer causes the screen to get out of sync.

Comment 6 Lubos Kocman 2010-08-03 09:01:07 UTC
Verified on xorg-x11-drv-i810-1.6.5-9.25.el5_4.1 {x86_64,i386) and xorg-x11-server-Xorg-1.1.1-48.67.el5_4.2 {x86_64,i386}

Used hardware T400 with:

00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)


Problems with changing resolution found on previous versions seem to be fixed now.

Comment 7 errata-xmlrpc 2010-08-05 11:18:30 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0605.html


Note You need to log in before you can comment on or make changes to this bug.